Qt 5.6 | Qt 3D | C++ Classes | QLogicComponent

Qt 5.6.3 Reference Documentation

# QLogicComponent Class

(Qt3DLogic::QLogicComponent)

Provides a way to have a synchronous function executed each frame. More...

Header: | #include <QLogicComponent>
qmake: | QT += 3dlogic
Since: | Qt 5.5
Instantiated By: | LogicComponent
Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Public Functions

| QLogicComponent(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QLogicComponent()

- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Signals

void | frameUpdate(float dt)

- 2 signals inherited from Qt3DCore::QComponent
- 2 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode
- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode
- 1 protected function inherited from Qt3DCore::QComponent
- 3 protected functions inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

Provides a way to have a synchronous function executed each frame.

The QLogicComponent provides a way to perform tasks each frame in synchronized with the Qt3D backend. This is useful to implement some aspects of application logic and to prototype functionality that can later be folded into an additional Qt3D aspect.

For example, the QLogicComponent can be used to animate a property in sync with the Qt3D engine where a Qt Quick animation element is not perfectly synchronized and may lead to stutters in some cases.

To execute your own code each frame override the onFrameUpdate function.

## Member Function Documentation

### QLogicComponent::QLogicComponent(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QLogicComponent.

### QLogicComponent::~QLogicComponent()

Destroys the instance of QLogicComponent.

### `[signal]` void QLogicComponent::frameUpdate(float dt)